#include "windows.h" 

void __windowToTray(HWND window,int ID,const char *tip[],LPCTSTR iconFile) 
{ 
   NOTIFYICONDATA nid; 
   nid.cbSize = sizeof(NOTIFYICONDATA); 
   nid.hWnd = window; 
   nid.uID = 0; 
   nid.uFlags = NIF_ICON|NIF_MESSAGE|NIF_TIP; 
   nid.uCallbackMessage = WM_USER+ID; 
   nid.hIcon = LoadImage(NULL,iconFile,IMAGE_ICON,0,0,LR_LOADFROMFILE|LR_DEFAULTCOLOR); 
   strcpy(nid.szTip,tip); 
   Shell_NotifyIcon(NIM_ADD,&nid); 
} 

void __windowFromTray(HWND window,int ID,const char *tip[],LPCTSTR iconFile) 
{ 
   NOTIFYICONDATA nid; 
   nid.cbSize = sizeof(NOTIFYICONDATA); 
   nid.hWnd = window; 
   nid.uID = 0; 
   Shell_NotifyIcon(NIM_DELETE,&nid); 
}
